/*
 * Component Name: Headset Simulator
 * Author: Comarch S.A.
 * Version: 1.0
 * Copyright (c) 2010 Comarch S.A.
 *  
 * This Software is submitted by Comarch S.A. to Symbian Foundation Limited on 
 * the basis of the Member Contribution Agreement entered between Comarch S.A. 
 * and Symbian Foundation Limited on 5th June 2009 (Agreement) and may be 
 * used only in accordance with the terms and conditions of the Agreement. 
 * Any other usage, duplication or redistribution of this Software is not 
 * allowed without written permission of Comarch S.A.
 * 
 */

#include "hsremotecontroltools.h"
#include "debug.h"

THsRemoteControlCommand::THsRemoteControlCommand( THsControlCommandData& aData,
        THsRemoteControlCommandType aCmdType ) :
    iData( aData ), iType( aCmdType )
    {

    }

void THsRemoteControlCommand::GetType( THsRemoteControlCommandType& aCmdType )
    {
    TRACE_FUNC_ENTRY
    aCmdType = iType;
    TRACE_FUNC_EXIT
    }

void THsRemoteControlCommand::GetData( TDes8 &aCmdData )
    {
    TRACE_FUNC_ENTRY
    aCmdData.Copy( iData );
    TRACE_FUNC_EXIT
    }

void THsRemoteControlCommand::Copy( const THsRemoteControlCommand& aCmdFrom,
        THsRemoteControlCommand& aCmdTo )
    {
    TRACE_STATIC_FUNC
    aCmdTo.iData.Copy( aCmdFrom.iData );
    aCmdTo.iType = aCmdFrom.iType;
    }
